/***********************************************************************
 * 目的: store module的一个用法示例
 * 作者: heyf@steerinfo.com
 * 创建日期: 2020-05-08
 *
 * 更新历史:
 * 日期                    人员                变更目的
 * 2020-05-08        修改人员名     修改的原因和目的*
**********************************************************************/

import axios from '@/config/axios.js';
import moment from 'moment';
import { proPath } from '@/config/config.js';
import { getCookie } from '@/utils/util.js';

const state = {
  userInfoTest: null,
};

const getters = {
  // get用法
};

const mutations = {
  // set用法
  //  更新用户信息
  userInfoTest (state, userInfoTest) {
    state.userInfoTest = userInfoTest;
  }
}

const actions = {
  //  取用户信息
  getUserInfoTest ({
    commit,
    state
  }) {
    let res = axios.get(proPath + 'v1/sysusers/user/token');
    res.then(res => {
      //   放入东西
      commit('userInfoTest', res.data);
    });
    return res;
  }
}

//
export default {
  namespaced: true,
  state,
  getters,
  mutations,
  actions
}
