import Vue from 'vue'
import Router from 'vue-router'
import '@/assets/iconfont/iconfont.css'

// 主要
import main from '@/components/main.vue'
// 供需实绩对比分析
import SDContrastAnalysis from '../components/SDResultsAnalysis/SDContrastAnalysis.vue'
// 供需实绩跟踪及趋势分析
import SDTrackingAndTrend from '../components/SDResultsAnalysis/SDTrackingAndTrend.vue'
// 工序能耗对比分析
import PEContrastAnalysis from '../components/SDResultsAnalysis/PEContrastAnalysis.vue'
// 工序能耗跟踪及趋势分析
import PETrackingAndTrend from '../components/SDResultsAnalysis/PETrackingAndTrend.vue'
// 供需计划对比分析
import SDPContrastAnalysis from '../components/SDProjectAnalysis/SDPContrastAnalysis.vue'
// 供需计划实绩对比分析
import SDPPerformanceContrast from '../components/SDProjectAnalysis/SDPPerformanceContrast.vue'
// 供需计划跟踪及趋势分析
import SDPTrackingAndTrend from '../components/SDProjectAnalysis/SDPTrackingAndTrend.vue'
// 吨钢综合能耗跟踪及趋势分析
import steelTrackingAndTrend from '../components/steelEnergyAnalysis/steelTrackingAndTrend.vue'
// 吨钢综合能耗影响因素分析
import steelFactorsAffecting from '../components/steelEnergyAnalysis/steelFactorsAffecting.vue'
// 能耗指标自身对比
import EIASelfContrast from '../components/economicIndicatorsAnalysis/EIASelfContrast.vue'
// 能耗指标对比分析
import EIAContrastAnalysis from '../components/economicIndicatorsAnalysis/EIAContrastAnalysis.vue'
// 能耗指标跟踪分析
import EIATrackingAnalysis from '../components/economicIndicatorsAnalysis/EIATrackingAnalysis.vue'
// 重要指标展示
import indicatorsShow from '../components/economicIndicatorsAnalysis/indicatorsShow.vue'
// 指标类型维护
import indexTypeMaintain from '../components/indexManagement/indexTypeMaintain.vue'
// 指标项目维护
import indexMaintain from '../components/indexManagement/indexMaintain.vue'
// 指标数据维护
import indexDataMaintain from '../components/indexManagement/indexDataMaintain.vue'
// 指标数据查询
import indexData from '../components/indexManagement/indexData.vue'

Vue.use(Router)

export default new Router({
    routes: [{
        path: '/',
        name: 'main',
        component: main,
        redirect: {
            name: 'SDContrastAnalysis'
        },
        children: [
            {
                path: 'SDContrastAnalysis',
                name: 'SDContrastAnalysis',
                component: SDContrastAnalysis
            },
            {
                path: 'SDTrackingAndTrend',
                name: 'SDTrackingAndTrend',
                component: SDTrackingAndTrend
            },
            {
                path: 'PEContrastAnalysis',
                name: 'PEContrastAnalysis',
                component: PEContrastAnalysis
            },
            {
                path: 'PETrackingAndTrend',
                name: 'PETrackingAndTrend',
                component: PETrackingAndTrend
            },
            {
                path: 'SDPContrastAnalysis',
                name: 'SDPContrastAnalysis',
                component: SDPContrastAnalysis
            },
            {
                path: 'SDPPerformanceContrast',
                name: 'SDPPerformanceContrast',
                component: SDPPerformanceContrast
            },
            {
                path: 'SDPTrackingAndTrend',
                name: 'SDPTrackingAndTrend',
                component: SDPTrackingAndTrend
            },
            {
                path: 'steelTrackingAndTrend',
                name: 'steelTrackingAndTrend',
                component: steelTrackingAndTrend
            },
            {
                path: 'steelFactorsAffecting',
                name: 'steelFactorsAffecting',
                component: steelFactorsAffecting
            },
            {
                path: 'EIASelfContrast',
                name: 'EIASelfContrast',
                component: EIASelfContrast
            },
            {
                path: 'EIAContrastAnalysis',
                name: 'EIAContrastAnalysis',
                component: EIAContrastAnalysis
            },
            {
                path: 'EIATrackingAnalysis',
                name: 'EIATrackingAnalysis',
                component: EIATrackingAnalysis
            },
            {
                path: 'indicatorsShow',
                name: 'indicatorsShow',
                component: indicatorsShow
            },
            {
                path: 'indexTypeMaintain',
                name: 'indexTypeMaintain',
                component: indexTypeMaintain
            },
            {
                path: 'indexMaintain',
                name: 'indexMaintain',
                component: indexMaintain
            },
            {
                path: 'indexDataMaintain',
                name: 'indexDataMaintain',
                component: indexDataMaintain
            },
            {
                path: 'indexData',
                name: 'indexData',
                component: indexData
            }
        ]
    }]
})
